Bug 320761 - cannot stop/restart dhcpd
cannot stop/restart dhcpd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-05 15:58 EDT by eric magaoay
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-08 13:05:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against devel cvs (862 bytes, patch)
2007-10-08 11:48 EDT, Michael Schwendt
no flags Details | Diff

  None (edit)
Description eric magaoay 2007-10-05 15:58:03 EDT
Description of problem:
There is a problem restarting dhcpd in the latest development build (10/5/07)

Version-Release number of selected component (if applicable):
dhcp.x86_64 12:3.0.6-7.fc8

How reproducible:
persistent

Steps to Reproduce:
1. service dhcpd stop
2. service dhcpd status
  
Actual results:
result still show dhcp still running. 

Expected results:
the out should display whether the service [FAILED] or succeeded [OK]
Comment 1 Michael Schwendt 2007-10-08 11:48:07 EDT
Created attachment 219861 [details]
patch against devel cvs

The top part of this patch also fixes the $DHCPDARGS
customisation via /etc/sysconfig/dhcpd
Comment 2 David Cantrell 2007-10-08 13:05:19 EDT
Applied.  I also fixed up the dhcrelay.init script to include the same stop()
fix that you put in your dhcpd.init patch.  Fixes will be in dhcp-3.0.6-8.fc8.

Note You need to log in before you can comment on or make changes to this bug.